if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/validate.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 tram.in
echo "Running solution tram_sr.cpp"
wine solutions/tram_sr.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f tram.in
if [ ! -f "tram.out" ]; then
    echo "Solution didn't produced output [tram.out]"
    read
fi
mv "tram.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ]; then
    echo "Checker returned non-zero exit code"
    read
fi
